Bug 212083 - Xinerama + Composite + too many visuals = segfault
Xinerama + Composite + too many visuals = segfault
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 18:04 EDT by Lonni J Friedman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 11:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6501 None None None Never

  None (edit)
Description Lonni J Friedman 2006-10-24 18:04:48 EDT
Description of problem: 
Attempts to run gnome-terminal in an X server that is using Xinerama + composite
results in gnome-terminal crashing:
The program 'gnome-terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
(Details: serial 105 error_code 2 request_code 78 minor_code 0)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)


Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
0) Setup xorg.conf to use Xinerama
1) Attempt to run gnome-terminal
  
Actual results:
gnome-terminal crashes immediately


Expected results:
gnome-terminal runs

Additional info:
This is known Xorg bug 6501 (freedesktop.org bugzilla)

Note You need to log in before you can comment on or make changes to this bug.